#!/bin/sh
exec $ZEUSHOME/perl/miniperl -x $0 ${1+"$@"}
 if 0;
#!perl -w

BEGIN { @INC=( "$ENV{ZEUSHOME}/perl/", "$ENV{ZEUSHOME}/admin/etc" ) }

use Z;

# Check we are the admin user before we allow shutting down of the entire 
# application

if ( $ENV{REMOTE_USER} != "admin" )
{ &Z::authenticate("admin user");  }# exits 

$|=1; # unbuffered

print <<HERE;
Content-type:text/html

<html>
<head>
<title>Zeus Admin Server - Shutting Down</title>
</head>
<body bgcolor=white>
<p>
<h1>Shutting down Administration Server</h1>
<p>
HERE

sleep 1;

# Go for it
system( "$ENV{ZEUSHOME}/admin/rc", 'stop' );

# If that failed to kill us ...

print <<HERE;
<h1>Failed to shut down Admin Server</h1>
</body>
</html>
HERE



