#!/bin/sh
exec $ZEUSHOME/perl/miniperl -x $0 ${1+"$@"}
 if 0;
#!perl -w

BEGIN { @INC=( "$ENV{ZEUSHOME}/perl/", "$ENV{ZEUSHOME}/webadmin/etc/" ); }
use ZeusOS;
use WebAdmin;

print "Pragma: no-cache\n";
print "Cache-Control: no-cache\n";
print "Expires: 0\n";

# Render an image showing the status of a particular worker in query_string
# A machine is considered functional if its response time is < 1-2 seconds
my @args = split /&/, $ENV{QUERY_STRING};
my $arg;
my %args;
foreach $arg ( @args )
{
  my ( $key, $value ) = split /=/, $arg;
  $args{$key} = $value;    
}

( $host, $port, $mini ) = ( $args{machine}, $args{port}, $args{shrink} );

# All the possible icons, organised by machine type, then dead/alive
# machine type: 0-normal, 1-apache
# status: 0-dead, 1-alive
@icon = ( [ "deadserver.gif",   "server.gif"       ],
          [ "apacheserver.gif", "apacheserver.gif" ],
        );

# A non-Zeus webserver has a port of '0'
if( $port == 0 ) {
   $machine = 1;
   $status = 1;
} else {
   $machine = 0;
   $error = "";
   $status = WebAdmin::command( $host, $port, "info", $error, 2 ) ? 1 : 0;
}

$location = $icon[ $machine ] [ $status ];
if( $mini eq "yes" ) { $location = "mini-" . $location; };

print "Location: $location\n\n";










