
// Javascript checks on support.ahtml

var popup = null;

function check_name(form)
{
   var re = /\w+/;
   var name = form.name.value;

   if ( ! re.test(name) )
   {
      alert( "You must enter your name" );
      return false;
   }
   else
   {
      return true;
   }
}

function check_email(form)
{
    var re = /\w+/;
    var email = form.email.value;
    
    if ( ! re.test(email) )
    {
	alert( "You must enter your email address" );
	return false;
    }
    else
    {
	return true;
    }   
}

function check_supportcontract(form)
{
    var re = /(^(C|E)\w{3} ?\d{3}|^none$|^\s*$)/i;
    var supportcontract = form.supportcontract.value;

    if ( ! re.test(supportcontract) )
    {
	alert( "You have entered an invalid support contract code.\n \
		Your support contract code should be of the form:\n \
		\"EABC 123\" or \"CABC 123\"\n" );
	return false;
    }
    else
    {
	// Insert a space in the middle if there isn't one	
        if ( supportcontract.length == 7 )
        {
           var start_string = supportcontract.slice(0,4);
   	   var end_string = supportcontract.slice(4);
           supportcontract = start_string + " " + end_string;
        }
        
	// put it in upper case
        supportcontract = supportcontract.toUpperCase();
        form.supportcontract.value = supportcontract;
	return true;
    }
}
    
function check_summary(form)
{
    var re = /\w+/;
    
    var summary = form.summary.value;

    if ( ! re.test(summary) )
    {
	alert( "Please enter a summary of your problem");
	return false;
    }
    else
    {
	var supportcode = /(^(C|E)\w{3} ?\d{3}|^none$|^\s*$)/i;         
        if ( ! supportcode.test(summary) )
        {       
           form.summary.value = form.summary.value + ":" + form.supportcontract.value;
           return true;
        }
    }	
}

function check_desc(form)
{
    var re = /\w+/;
    var desc = form.desc.value;
    
    if ( ! re.test(desc) )
    {
	alert( "Please enter a description of your problem" );
	return false;
    }
    else
    {
	return true;
    }
}

// Run checks

function verify(form)
{
    if ( ! check_name(form) ) { return false; } 
    if ( ! check_email(form) ) { return false; } 
    if ( ! check_supportcontract(form) ) { return false; } 
    if ( ! check_summary(form) ) { return false; } 
    if ( ! check_desc(form) ) { return false; } 
    return true;
}


	
        





