#!/bin/sh

# Provides a simple interface to the much more powerful 'webctl' program

usage()
{
  echo
  echo "Stops a virtual server"
  echo "Usage: $0 servername"
  echo
  exit 1
}

if [ $# -lt 1 ]
then
  usage
fi

cd `dirname $0`
exec ./webctl "--vs=$1" --action=stop
