#!/bin/sh
exec $ZEUSHOME/perl/miniperl -x $0 ${1+"$@"}
 if 0;
#!perl -w

BEGIN { @INC=( "$ENV{ZEUSHOME}/perl/", "$ENV{ZEUSHOME}/webadmin/etc/" ); }
use ZeusOS;

# Run the webctl program, with the 'sync' action.
$_ = ( $ENV{QUERY_STRING} ) ? $ENV{QUERY_STRING} : "";
( $server ) = /server=(.*)/;

$output = "";

if( $server ) {
   if( open( OUTPUT, "|$ENV{ZEUSHOME}/webadmin/bin/webctl --action=sync --machine=$server --html --quiet 2>&1" )) {
      while( <OUTPUT> ) { $output .= $_; }
      close( OUTPUT );
   } else {
      $output = "<h2>Error running the webctl program</h2>$!";
   }
} else {
   $output = "<h2>Error</h2><p>You must supply a 'server=' parameter";
}

# If there was no useful output, redirect straight back to the summary page
if( $output eq "" ) {
   print STDERR "Redirecting...\n";
   print "Status: 302 Moved Temporarily\n";
   print "Location: summary.cgi\n\n";
} else {
   print "Pragma: no-cache\n";
   print "Cache-Control: no-cache\n";
   print "Expires: 0\n";
   print "Content-Type: text/html\n\n";
   
   print qq{ <html><head><title>Cluster status summary</title></head>
             <body bgcolor="#ffffff" text="#000000" link="#990066"
             vlink="#990066" alink="#990066">
             $output
             <a href="summary.cgi">Back to cluster summary page</a>
             </body></html>
           };
}
